## open-vm-tools 10.0.7-3227872

=== debian/changelog ===
open-vm-tools (2:10.0.7-3227872-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1558198).  Remaining changes:
    - Build without xmlsecurity support and xerces for now (universe).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Apr 2016 17:06:49 -0700

open-vm-tools (2:10.0.7-3227872-2) unstable; urgency=medium

  * [f2f4971] Work around wrong dkms versions.
  * [1be403b] Move vmhgfs-fuse to open-vm-tools.
    As suggested by various people: vmhgfs-fuse is useful on server
    installations by mounting it from fstab, without having GTK installed.
    This closes bzed/pkg-open-vm-tools#4

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 24 Mar 2016 07:13:23 +0100

open-vm-tools (2:10.0.7-3227872-1) unstable; urgency=medium

  * [537ed0a] Drop -dbg package.
    Creating debug packages is handled by dh_strip automatically.
  * [3bef19a] Updating debian/watch to use github.
  * [806e1e9] Merge tag 'upstream/10.0.7-3227872'
    Upstream version 10.0.7-3227872

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 23 Mar 2016 14:30:13 +0100

open-vm-tools (2:10.0.5-3227872-2) unstable; urgency=medium

  * [da26597] Merge pull request #3 from rfc1036/usrmerge.
    Move mount.vmhgfs to /sbin/
    Closes: #810274

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Jan 2016 15:27:14 +0100

open-vm-tools (2:10.0.5-3227872-1) unstable; urgency=medium

  * [c973a13] Merge tag 'upstream/10.0.5-3227872'
    Upstream version 10.0.5-3227872
  * [d10e230] Auto-update version in open-vm-tools-dkms.dkms

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 26 Dec 2015 17:26:52 +0100

open-vm-tools (2:10.0.0-3000743-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable. (LP: #1492429) Remaining changes:
    - Build without xmlsecurity support and xerces for now (universe).

 -- Robert C Jennings <robert.jennings@ubuntu.com>  Sun, 01 Nov 2015 04:41:44 +0000

open-vm-tools (2:10.0.0-3000743-3) unstable; urgency=medium

  * [8b49d5b] fix open-vm-tools-dkms description

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 31 Oct 2015 23:28:22 +0100

open-vm-tools (2:10.0.0-3000743-2) unstable; urgency=medium

  * [e42d6de] Fix dkms config file.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Oct 2015 09:31:05 +0100

open-vm-tools (2:10.0.0-3000743-1) unstable; urgency=medium

  * [b0ae431] Merge tag 'upstream/10.0.0-3000743'
    Upstream version 10.0.0-3000743
    Closes: #797725
  * [27f0147] Snapshot changelog
  * [236554b] Refreshing patches.
  * [711f1e2] Merge remote-tracking branch 'origin/master'
  * [bfc0ed3] Remove the vmhgfs module and tools.
  * [6ab9fc7] Move fuse binaries into open-vm-tools-desktop package.
  * [2617cef] Use -std=gnu++11
  * [e5e0c1f] ensure dh_fixperms runs as root
  * [4c57986] Remove paths from maintainer scripts.
  * [03db1df] Fix dkms destination folder.
  * [fb5a5a1] Merge branch 'master' of github.com:bzed/pkg-open-vm-tools
  * [ba55c8a] Work around broken cflags from libsigc++.
  * [c78bd75] Always use vmhgfs-fuse.
    We want to avoid the need to patch the module for every new kernel.
    VMware officially supports vmhgfs-fuse for kernels >= 4.0, but
    it should just work fine for older kernels. (Closes: #800322)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Oct 2015 08:52:49 +0100

open-vm-tools (2:9.10.2-2822639-3) unstable; urgency=medium

  * [41f90f1] Make open-vm-tools-dev amd64/i386 instead of all.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 Aug 2015 17:51:24 +0200

open-vm-tools (2:9.10.2-2822639-2) unstable; urgency=medium

  * [6537e76] Update package version in dkms file.
  * [c3a1d4a] Add patch to support backing dev info.
    Thanks to Peter Vrabel (Closes: #794843)
  * [be97f01] Add missing #DEBHELPER# statement.
  * [eac5b6a] Updating Standards Version
  * [a508cfe] Remove path from command in maintainer script.
  * [085d637] Remove executable bit from config files.
  * [b084140] Move all dev files into the -dev package.
  * [ac965de] Fix building vmghfs for kernel >= 4.1.
    Thanks to Achim Schaefer (Closes: #794707)
  * [16ca60a] Update gbp config header in debian/gbp.conf.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 Aug 2015 16:27:27 +0200

=== debian/control ===
Source: open-vm-tools
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends:
 debhelper (>= 9), autotools-dev, dkms, doxygen, libcunit1-dev,
 libdumbnet-dev, libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev,
 libicu-dev, libnotify-dev, libpam0g-dev, libprocps-dev, libx11-dev,
 libxinerama-dev, libxss-dev, libxtst-dev, dh-autoreconf, dh-systemd,
 libmspack-dev, libssl-dev,
Standards-Version: 3.9.6
Homepage: http://open-vm-tools.sourceforge.net/
Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git
Vcs-Browser: https://github.com/bzed/pkg-open-vm-tools

Package: open-vm-tools
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ethtool, zerofree, fuse
Suggests: open-vm-tools-desktop
Breaks: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
Replaces: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
Description: Open VMware Tools for virtual machines hosted on VMware (CLI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains only the core user-space programs and libraries.

Package: open-vm-tools-desktop
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
Breaks: open-vm-tools (<< 2:10.0.0~)
Replaces: open-vm-tools (<< 2:10.0.0~)
Recommends:
 open-vm-tools-dkms, xauth, xserver-xorg-input-vmmouse,
 xserver-xorg-video-vmware, fuse
Suggests: xdg-utils
Description: Open VMware Tools for virtual machines hosted on VMware (GUI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the user-space programs and libraries that are essential
 for improved user experience of VMware virtual machines.

Package: open-vm-tools-dev
Section: devel
Architecture: amd64 i386
Depends: ${misc:Depends}
Breaks: open-vm-tools (<< 2:9.10.2-2822639-2~)
Replaces: open-vm-tools (<< 2:9.10.2-2822639-2~)
Description: Open VMware Tools for virtual machines hosted on VMware (development)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the development files.

Package: open-vm-tools-dkms
Architecture: all
Section: kernel
Depends: ${misc:Depends}, dkms, make
Breaks: open-vm-tools (<< 2:9.4.0-1280544-8~)
Replaces: open-vm-tools (<< 2:9.4.0-1280544-8~)
Recommends: open-vm-tools
Suggests: open-vm-tools-desktop
Description: Open VMware Tools vmxnet kernel module (deprecated)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package provides the source code for the vmxnet module, which was
 superseded by vmxnet3. You should only install this package if you know
 that you need the legacy vnxnet module.
 Kernel source or headers are required to compile it using DKMS.

=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's|^.*:||' -e 's|-.*$$||')

UPSTREAM_VERSION = $(strip $(shell grep '^TOOLS_VERSION' configure.ac | sed 's,.*=",,;s,",,'))

%:
	dh ${@} --with autotools_dev,dkms,autoreconf,systemd

override_dh_autoreconf:
	cp configure.ac configure.ac.autoreconf
	cp modules/linux/dkms.sh modules/linux/dkms.sh.autoreconf
	sed -i 's,$(UPSTREAM_VERSION),$(VERSION),g' configure.ac
	sed -i 's,$(UPSTREAM_VERSION),$(VERSION),g' modules/linux/dkms.sh
	dh_autoreconf

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	if [ -f configure.ac.autoreconf ]; then \
	    mv configure.ac.autoreconf configure.ac ;\
	fi
	if [ -f modules/linux/dkms.sh.autoreconf ]; then \
	    mv modules/linux/dkms.sh.autoreconf modules/linux/dkms.sh ;\
	fi

override_dh_auto_configure:
	dh_auto_configure -- \
			--prefix=/usr \
			--libdir=\$${prefix}/lib \
			--without-kernel-modules \
			--with-pic \
			--without-xmlsecurity --without-xerces \
			CFLAGS="-fPIC -Wno-deprecated-declarations $(CFLAGS)" \
			CUSTOM_PROCPS_NAME=procps \
			CXXFLAGS='-std=gnu++11'
	find . -name Makefile -exec sed -i '/.*CPPFLAGS.*/s,-std=c++11,,' '{}' \;

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-vm-tools

	if [ -e debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 ]; \
	then \
		sed -i -e "s|lib64|lib|g" debian/open-vm-tools/etc/pam.d/vmtoolsd-x64; \
		mv debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 debian/open-vm-tools/etc/pam.d/vmtoolsd; \
	fi

	# permissions
	chmod 0644 debian/*/etc/pam.d/*
	chmod 4755 debian/*/usr/bin/vmware-user-suid-wrapper

	install -D -m 0755 debian/local/vmxnet.hook debian/open-vm-tools-dkms/usr/share/initramfs-tools/hooks/vmxnet
	install -D -m 0644 debian/local/xautostart.conf debian/open-vm-tools-desktop/etc/vmware-tools/xautostart.conf
	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf

	install -D -m 0644 debian/local/run-vmblock\\x2dfuse.mount debian/open-vm-tools-desktop/lib/systemd/system/run-vmblock\\x2dfuse.mount

	# open-vm-tools-dev
	mkdir -p debian/open-vm-tools-dev/usr/share/doc/open-vm-tools
	mv debian/open-vm-tools/usr/share/doc/open-vm-tools/api debian/open-vm-tools-dev/usr/share/doc/open-vm-tools
	mkdir -p debian/open-vm-tools-dev/usr/lib
	mv \
	    debian/open-vm-tools/usr/lib/*.a \
	    debian/open-vm-tools/usr/lib/*.so \
	    debian/open-vm-tools/usr/lib/pkgconfig \
	    debian/open-vm-tools-dev/usr/lib
	mv debian/open-vm-tools/usr/include debian/open-vm-tools-dev/usr


	# open-vm-tools-dkms
	mkdir -p debian/open-vm-tools-dkms/usr/src
	sh modules/linux/dkms.sh . debian/open-vm-tools-dkms/usr/src
	find debian/open-vm-tools-dkms/usr/src -name COPYING | xargs rm -f
	find debian/open-vm-tools-dkms/usr/src -name "Makefile*" | xargs chmod 0755

	# removing useless files
	rm -f debian/open-vm-tools/usr/lib/*.la
	rm -f debian/open-vm-tools/usr/lib/open-vm-tools/plugins/*/*.la
	rm -rf debian/open-vm-tools/usr/share/open-vm-tools/tests

	# mount(8) calls the program as /sbin/mount.vmhgfs
	mv debian/open-vm-tools/usr/sbin/mount.vmhgfs debian/open-vm-tools/sbin/

	# moving open-vm-tools-desktop files
	mkdir -p debian/open-vm-tools-desktop/usr/lib/open-vm-tools/plugins
	mv debian/open-vm-tools/usr/lib/open-vm-tools/plugins/vmusr debian/open-vm-tools-desktop/usr/lib/open-vm-tools/plugins

	mkdir -p debian/open-vm-tools-desktop/usr/bin
	mv debian/open-vm-tools/usr/bin/vmware-user-suid-wrapper debian/open-vm-tools-desktop/usr/bin

	mkdir -p debian/open-vm-tools-desktop/etc/xdg/autostart
	mv debian/open-vm-tools/etc/xdg/autostart/vmware-user.desktop debian/open-vm-tools-desktop/etc/xdg/autostart
	rm -rf debian/open-vm-tools/etc/xdg

	# fix dkms folder, upstream fails on it sometimes...
	if ! test -d debian/open-vm-tools-dkms/usr/src/open-vm-tools-$(VERSION); then \
	    mv debian/open-vm-tools-dkms/usr/src/open-vm-tools-* debian/open-vm-tools-dkms/usr/src/open-vm-tools-$(VERSION) ; \
	fi

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_dkms:
	sed 's,DEBIAN_VERSION,$(VERSION),g' debian/open-vm-tools-dkms.dkms.in > debian/open-vm-tools-dkms.dkms
	dh_dkms -popen-vm-tools-dkms -V $(VERSION)

override_dh_fixperms:
	dh_testroot
	find debian/open-vm-tools/etc -type f -print0 | xargs -0 chmod ugo-x
	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/scripts/vmware/*
	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/vm-support
	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/*-vm-default

	dh_fixperms -Xvmware-user-suid-wrapper

override_dh_systemd_start:
	dh_systemd_start
	sed -i 's,run-vmblock-fuse,run-vmblock\\\\x2dfuse,g' debian/*.debhelper

## open-vm-tools 10.1.5

=== open-vm-tools/modules/linux/vmci/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998-2016 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

#
# open-vm-tools doesn't replicate shared source files for different modules;
# instead, files are kept in shared locations. So define a few useful macros
# to be able to handle both cases cleanly.
#
INCLUDE      :=
ifdef OVT_SOURCE_DIR
AUTOCONF_DIR := $(OVT_SOURCE_DIR)/modules/linux/shared/autoconf
VMLIB_PATH   = $(OVT_SOURCE_DIR)/lib/$(1)
INCLUDE      += -I$(OVT_SOURCE_DIR)/modules/linux/shared
INCLUDE      += -I$(OVT_SOURCE_DIR)/lib/include
else
AUTOCONF_DIR := $(SRCROOT)/shared/autoconf
INCLUDE      += -I$(SRCROOT)/shared
endif


VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
ifdef LINUXINCLUDE
HEADER_DIR = $(LINUXINCLUDE)
else
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include
endif

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmci
PRODUCT := tools-source

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
VM_KBUILD := yes
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
VM_DUMMY := $(shell echo >&2 "Using kernel build system.")
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

DRIVER_KO := $(DRIVER).ko

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ] || [ ! -e $@ ] ; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

#
# Define a setup target that gets built before the actual driver.
# This target may not be used at all, but if it is then it will be defined
# in Makefile.kernel
#
prebuild:: ;
postbuild:: ;

$(DRIVER_KO): prebuild
	$(MAKE) -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) modules
	$(MAKE) -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) postbuild
endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) $(LINUXINCLUDE) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

## open-vm-tools 10.1.5-5055683

=== debian/changelog ===
open-vm-tools (2:10.1.5-5055683-4+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Adding debian/gbp.conf for jessie-backports. 
  * Revert "Stay with libssl1.0 for now."

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 29 Aug 2017 23:22:58 +0200

open-vm-tools (2:10.1.5-5055683-4+deb9u1) stretch; urgency=medium

  * [dec8df6] Upstream fix for CVE-2015-5191 (Closes: #869633)
  * [ff10dcb] Update gbp.conf for stretch.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 25 Jul 2017 11:40:02 +0200

open-vm-tools (2:10.1.5-5055683-4) unstable; urgency=medium

  * [27689b3] Load the fuse module before mounting /run/vmblock-fuse.
    Thanks to Norbert Lange (Closes: #860875, #860861)
  * [008bdde] Don't recommend -dkms for -desktop.
    The dkms package is clearly not necessary anymore here.
    Thanks to Oliver Kurth (Closes: #860857)
  * [ffc37f2] Let -desktop depend on fuse.
    Mounting fuse filesystems requires mount.fuse - and doing so
    is required for a working desktop running under VMware.
  * [cf1f9b3] Ensure /run/vmblock-fuse is mounted properly.
    - open-vm-tools-desktop.postinst: Add the fuse module if it was
      not loaded into the kernel before
    - Handle the mount unit with dh_systemd_*
    - Ensure /run/vmblock-fuse is mounted before open-vm-tools.service
      is started.
  * [1f479db] Do not restart run-vmblock\x2dfuse.mount on upgrades.
    Restarting won't work if people are using the mountpoint,
    also it would require to restart vmtoolsd.
  * Unfortunately mounting the fuse filesystem properly depends
    on a fix in deb-systemd-invoke, see #861204.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 30 Apr 2017 06:21:41 +0200

open-vm-tools (2:10.1.5-5055683-3) unstable; urgency=medium

  * [0aa95b6] Start open-vm-tools before cloud-init-local.service.
    Required for a working guest customization as reported by VMware.
    Also add cloud-init to 'Suggests'.
    Thanks to Sankar Tanguturi (Closes: #859677)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 09 Apr 2017 21:54:21 +0200

open-vm-tools (2:10.1.5-5055683-2) unstable; urgency=medium

  * [651cdfe] Depend on iproute2.
    Necessary for /etc/vmware-tools/scripts/vmware/network.
  * [ed95c1d] Depend on libssl1.0-dev | libssl-dev.
    Thanks to Tiago Daitx (Closes: #856569)
    Makes building the package in Ubuntu easier.
  * [2750700] Add o-v-t as dependency of o-v-t-dev.
    Thanks to Andreas Beckmann (Closes: #858494)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 23 Mar 2017 09:35:16 +0100
>>>>>>> stretch

open-vm-tools (2:10.1.5-5055683-1) unstable; urgency=medium

  * [60d1417] Merge tag 'upstream/10.1.5-5055683'
    Upstream version 10.1.5-5055683
    Closes: #856330

    10.1.5 is a point release fixing the following issues:
    - Authentication failure is reported as unknown general system error.
      Attempts to authenticate through VGAuth service might result
      in an authentication-specific error such as an expired account or
      password. The authentication-specific error might then be incorrectly
      reported as an unknown general system error, similar to the following:
      CommunicationException: Failed to create temp file on target
      <IP_ADDRESS>: A general system error occurred: Unknown error

    - Unable to backup virtual machines with active Docker containers.
      This bug should not happen in Debian stretch at all, but might
      be relevant for backports.

    - Fix ISO mappings for CentOS/OracleLinux. Not relevant for Debian

    - Thaw Filesystems if snapshot commit message to VMX fails.

    - Add missing agent configuration files that were accidentally
      ignored by .gitignore

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Feb 2017 15:54:58 +0100

open-vm-tools (2:10.1.0-4449150-4) unstable; urgency=medium

  [ Chris Glass ]
  * [d55b33f] Point the control file's homepage to the new one.
    The upstream open-vm-tools switched from sourceforge to github. This
    simply updates the link to reflect that.
    Signed-off-by: Chris Glass <chris.glass@canonical.com>

  [ Bernd Zeimetz ]
  * [f44a9a8] Drop duplicate udev rules.
    Timeouts are set in 99-vmware-scsi-udev.rules now,
    shipped by upstream.
    Thanks to Bernhard Schmidt (Closes: #851240)
  * [21df3fa] Install vgauth.service.
    vgauth is a service that allows authentication in the guest using SAML
    tokens. Necessary for guest operations initiated from the vSphere
    datacenter. (Closes: #855337)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 21 Feb 2017 22:45:06 +0100

open-vm-tools (2:10.1.0-4449150-3) unstable; urgency=medium

  * [17b04da] Override dh_md5sums for arch-dependent packages only.
    Thanks to Santiago Vila (Closes: #849876)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Jan 2017 22:11:18 +0100

open-vm-tools (2:10.1.0-4449150-2) unstable; urgency=medium

  * [fe8ae94] Stay with .gz as compression.
  * [afb2f52] Use systemd-detect-virt if available.
    Use systemd-detect-virt to detect VMware platform because
    vmware-checkvm might misbehave on non-VMware platforms.
    (RHBZ#1251656)
  * [1505d5f] Re-indent files properly.
  * [1b0b7eb] vm-support script needs lspci from pciutils.
    (RHBZ#1388766)
  * [1e2eb34] Make dpkg --verify happy now. (Closes: #847221)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 06 Dec 2016 22:58:30 +0100

open-vm-tools (2:10.1.0-4449150-1) unstable; urgency=medium

  * [72150f0] Merge tag 'upstream/10.1.0-4449150'
    Upstream version 10.1.0-4449150
  * [d4743dd] Bump dh compat level to 10.
  * [acce982] Handle open-vm-tools subdirectory as shipped by upstream.
  * [9047555] Install upstream changelog.
  * [fafb845] Remove extra \ from md5sums file.
    See #843163
    dpkg: -V fails on files with \ in the name
    for details.
  * [1455af1] Refreshing patches.
  * [776971c] dh_autoreconf_clean doesn't need --sourcedirectory.
  * [d50714b] Stay with libssl1.0 for now. (Closes: #828476)
  * [a0c6696] Fix dkms.sh call for new directory structure.



=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: open-vm-tools
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
- debhelper (>= 9), autotools-dev, dkms, doxygen, libcunit1-dev,
+ debhelper (>= 9.20160402~), autotools-dev, dkms, doxygen, libcunit1-dev,
  libdumbnet-dev, libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev,
  libicu-dev, libnotify-dev, libpam0g-dev, libprocps-dev, libx11-dev,
  libxinerama-dev, libxss-dev, libxtst-dev, dh-autoreconf, dh-systemd,
- libmspack-dev, libssl-dev,
+ libmspack-dev,
+ libssl-dev,
+ libxerces-c-dev, libxml-security-c-dev
 Standards-Version: 3.9.6
-Homepage: http://open-vm-tools.sourceforge.net/
+Homepage: https://github.com/vmware/open-vm-tools
 Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git
 Vcs-Browser: https://github.com/bzed/pkg-open-vm-tools
 
 Package: open-vm-tools
 Architecture: amd64 i386
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: ethtool, zerofree, fuse
-Suggests: open-vm-tools-desktop
+Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2
+Recommends: ethtool, zerofree, fuse, lsb-release
+Suggests: open-vm-tools-desktop, cloud-init
 Breaks: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
 Replaces: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
 Description: Open VMware Tools for virtual machines hosted on VMware (CLI)
@@ -31,12 +32,14 @@
 
 Package: open-vm-tools-desktop
 Architecture: amd64 i386
-Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ open-vm-tools (= ${binary:Version}),
+ fuse
 Breaks: open-vm-tools (<< 2:10.0.0~)
 Replaces: open-vm-tools (<< 2:10.0.0~)
 Recommends:
- open-vm-tools-dkms, xauth, xserver-xorg-input-vmmouse,
- xserver-xorg-video-vmware, fuse
+ xauth, xserver-xorg-input-vmmouse,
+ xserver-xorg-video-vmware
 Suggests: xdg-utils
 Description: Open VMware Tools for virtual machines hosted on VMware (GUI)
  The Open Virtual Machine Tools (open-vm-tools) project is an open source
@@ -50,7 +53,7 @@
 Package: open-vm-tools-dev
 Section: devel
 Architecture: amd64 i386
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, open-vm-tools (= ${binary:Version})
 Breaks: open-vm-tools (<< 2:9.10.2-2822639-2~)
 Replaces: open-vm-tools (<< 2:9.10.2-2822639-2~)
 Description: Open VMware Tools for virtual machines hosted on VMware (development)

=== debian/rules ===
--- 
+++ 
@@ -2,41 +2,44 @@
 
 VERSION = $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's|^.*:||' -e 's|-.*$$||')
 
-UPSTREAM_VERSION = $(strip $(shell grep '^TOOLS_VERSION' configure.ac | sed 's,.*=",,;s,",,'))
+UPSTREAM_VERSION = $(strip $(shell grep '^TOOLS_VERSION' open-vm-tools/configure.ac | sed 's,.*=",,;s,",,'))
 
 %:
-	dh ${@} --with autotools_dev,dkms,autoreconf,systemd
+	dh ${@} --with autotools_dev,dkms,autoreconf,systemd --sourcedirectory=open-vm-tools
 
 override_dh_autoreconf:
-	cp configure.ac configure.ac.autoreconf
-	cp modules/linux/dkms.sh modules/linux/dkms.sh.autoreconf
-	sed -i 's,$(UPSTREAM_VERSION),$(VERSION),g' configure.ac
-	sed -i 's,$(UPSTREAM_VERSION),$(VERSION),g' modules/linux/dkms.sh
-	dh_autoreconf
+	set -e; \
+	    cd open-vm-tools ; \
+	    cp configure.ac configure.ac.autoreconf ; \
+	    cp modules/linux/dkms.sh modules/linux/dkms.sh.autoreconf ;\
+	    sed -i 's,$(UPSTREAM_VERSION),$(VERSION),g' configure.ac ;\
+	    sed -i 's,$(UPSTREAM_VERSION),$(VERSION),g' modules/linux/dkms.sh
+	dh_autoreconf --sourcedirectory=open-vm-tools
 
 override_dh_autoreconf_clean:
-	dh_autoreconf_clean
-	if [ -f configure.ac.autoreconf ]; then \
-	    mv configure.ac.autoreconf configure.ac ;\
-	fi
-	if [ -f modules/linux/dkms.sh.autoreconf ]; then \
-	    mv modules/linux/dkms.sh.autoreconf modules/linux/dkms.sh ;\
-	fi
+	dh_autoreconf_clean 
+	set -e ;\
+	    cd open-vm-tools ; \
+	    if [ -f configure.ac.autoreconf ]; then \
+	        mv configure.ac.autoreconf configure.ac ;\
+	    fi ;\
+	    if [ -f modules/linux/dkms.sh.autoreconf ]; then \
+	        mv modules/linux/dkms.sh.autoreconf modules/linux/dkms.sh ;\
+	    fi
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	dh_auto_configure --sourcedirectory=open-vm-tools -- \
 			--prefix=/usr \
 			--libdir=\$${prefix}/lib \
 			--without-kernel-modules \
 			--with-pic \
-			--without-xmlsecurity --without-xerces \
 			CFLAGS="-fPIC -Wno-deprecated-declarations $(CFLAGS)" \
 			CUSTOM_PROCPS_NAME=procps \
 			CXXFLAGS='-std=gnu++11'
 	find . -name Makefile -exec sed -i '/.*CPPFLAGS.*/s,-std=c++11,,' '{}' \;
 
 override_dh_auto_install:
-	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-vm-tools
+	dh_auto_install --sourcedirectory=open-vm-tools -- DESTDIR=$(CURDIR)/debian/open-vm-tools
 
 	if [ -e debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 ]; \
 	then \
@@ -53,6 +56,7 @@
 	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf
 
 	install -D -m 0644 debian/local/run-vmblock\\x2dfuse.mount debian/open-vm-tools-desktop/lib/systemd/system/run-vmblock\\x2dfuse.mount
+	install -D -m 0644 debian/local/open-vm-tools-desktop.conf debian/open-vm-tools-desktop/usr/lib/modules-load.d/open-vm-tools-desktop.conf
 
 	# open-vm-tools-dev
 	mkdir -p debian/open-vm-tools-dev/usr/share/doc/open-vm-tools
@@ -68,7 +72,7 @@
 
 	# open-vm-tools-dkms
 	mkdir -p debian/open-vm-tools-dkms/usr/src
-	sh modules/linux/dkms.sh . debian/open-vm-tools-dkms/usr/src
+	cd open-vm-tools && sh modules/linux/dkms.sh . ../debian/open-vm-tools-dkms/usr/src
 	find debian/open-vm-tools-dkms/usr/src -name COPYING | xargs rm -f
 	find debian/open-vm-tools-dkms/usr/src -name "Makefile*" | xargs chmod 0755
 
@@ -112,7 +116,22 @@
 
 	dh_fixperms -Xvmware-user-suid-wrapper
 
+override_dh_systemd_enable:
+	dh_systemd_enable -popen-vm-tools
+	dh_systemd_enable -popen-vm-tools --name vgauth
+	dh_systemd_enable -popen-vm-tools-desktop run-vmblock\\x2dfuse.mount
+
 override_dh_systemd_start:
-	dh_systemd_start
+	dh_systemd_start -popen-vm-tools
+	dh_systemd_start -popen-vm-tools --name vgauth
+	dh_systemd_start -popen-vm-tools-desktop -r --no-restart-after-upgrade run-vmblock\\x2dfuse.mount
 	sed -i 's,run-vmblock-fuse,run-vmblock\\\\x2dfuse,g' debian/*.debhelper
 
+override_dh_installchangelogs:
+	dh_installchangelogs ReleaseNotes.md
+
+override_dh_md5sums-arch:
+	dh_md5sums
+	# remove broken \ escaping from md5sums
+	sed -i -e 's,^\\,,' -e 's,\\\\,\\,' debian/open-vm-tools-desktop/DEBIAN/md5sums
+

=== debian/watch ===
version=3
https://github.com/vmware/open-vm-tools/releases .*files/[0-9]+/open-vm-tools-([0-9.-]+)\.tar\.gz

## open-vm-tools 10.1.10

=== debian/changelog ===
open-vm-tools (2:10.1.10-3) unstable; urgency=medium

  * [00bc9bb] Build with CXXFLAGS=-std=c++14.
    Thanks to Rene Engelhard and Oliver Kurth (Closes: #876121)
  * [6b61376] Re-add .travis.yml.
    Seems it went missing with the last merge.
  * [bf07ae8] Work around dh_systemd escaping bugs again.
    Seems the unit escaping changed with a new dh version.
    Work around the known and reported fails again.
    Thanks to Christian Ehrhardt (Closes: #875657)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 21 Sep 2017 13:24:08 +0200

open-vm-tools (2:10.1.10-2) unstable; urgency=medium

  [ Shota Aratono ]
  * [5ab87bd] Fix scsi timeout setting error on debian stretch
  * [c0847eb] Fix attempting change setting to unintentional target

  [ Raphaël Hertzog ]
  * [dc2e27f] Add patch to support resolution switching with KMS.
    This is needed for proper support of Wayland sessions. (Closes: #872779)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 29 Aug 2017 23:32:32 +0200

open-vm-tools (2:10.1.10-1) unstable; urgency=medium

  * Drop the extra part of the version string.
    Easier to handle in the short variant.
  * [6be6a49] Updating watch file.
    Use tags from github.
  * [8c25235] Updated version 10.1.10 from 'upstream/10.1.10'
    with Debian dir 3dddea7985f21457b294b5f554d5ecdf32aabfff
  * [195cead] Refreshing patches.
    Removing cve-2015-5191.patch as it is part of the upstream release.
  * [e6b3fd5] Build using libssl-dev and libxmlsec1-dev. (Closes: #859416)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 12 Aug 2017 23:57:40 +0200

open-vm-tools (2:10.1.5-5055683-5) unstable; urgency=high

  * [dec8df6] Upstream fix for CVE-2015-5191 (Closes: #869633)
  * [718133e] Enable PrivateTmp for the open-vm-tools.service.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 25 Jul 2017 10:46:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
  libxinerama-dev, libxss-dev, libxtst-dev, dh-autoreconf, dh-systemd,
  libmspack-dev,
  libssl-dev,
- libxerces-c-dev, libxml-security-c-dev
+ libxmlsec1-dev,
+ libudev-dev,
+ libdrm-dev,
 Standards-Version: 3.9.6
 Homepage: https://github.com/vmware/open-vm-tools
 Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git

=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,10 @@
 			--libdir=\$${prefix}/lib \
 			--without-kernel-modules \
 			--with-pic \
+			--enable-xmlsec1 \
 			CFLAGS="-fPIC -Wno-deprecated-declarations $(CFLAGS)" \
 			CUSTOM_PROCPS_NAME=procps \
-			CXXFLAGS='-std=gnu++11'
+			CXXFLAGS='-std=c++14'
 	find . -name Makefile -exec sed -i '/.*CPPFLAGS.*/s,-std=c++11,,' '{}' \;
 
 override_dh_auto_install:
@@ -125,6 +126,7 @@
 	dh_systemd_start -popen-vm-tools
 	dh_systemd_start -popen-vm-tools --name vgauth
 	dh_systemd_start -popen-vm-tools-desktop -r --no-restart-after-upgrade run-vmblock\\x2dfuse.mount
+	sed -i 's,run-vmblock\\x2dfuse,run-vmblock\\\\x2dfuse,g' debian/*.debhelper
 	sed -i 's,run-vmblock-fuse,run-vmblock\\\\x2dfuse,g' debian/*.debhelper
 
 override_dh_installchangelogs:

## open-vm-tools 10.2.0

=== open-vm-tools/modules/freebsd/vmblock/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2006 VMware, Inc. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
##########################################################

####
####  VMware vmblock Makefile to be distributed externally
####

HEADERS := block.h
HEADERS += vnode_if.h
HEADERS += vmblock_k.h
HEADERS += os.h

CSRCS  := block.c
CSRCS  += os_panic.c
CSRCS  += vfsops.c
CSRCS  += vnops.c
CSRCS  += subr.c
CSRCS  += stubs.c

SRCS   := $(HEADERS) $(CSRCS)

KMOD    = vmblock
PROG    = ../$(KMOD).ko
NOMAN   = t
NO_MAN  = t
KLDMOD  = t

VMBLOCK := $(MAINSRCROOT)/modules/vmblock

CFLAGS  += $(INCLUDE) -Wall -Werror

.ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/shared
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/vmblock
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/shared/vmblock
   VPATH  := $(OVT_SOURCE_DIR)/modules/shared/vmblock
.else
   CFLAGS += -Ishared
.endif

EXPORT_SYMS = NO

.include <bsd.kmod.mk>

=== debian/changelog ===
open-vm-tools (2:10.2.0-3~ubuntu0.16.04.1) xenial; urgency=medium

  * backport Bionic open-vm-tools to Xenial (LP: #1741390)
    - d/control: B-D for dh-autoreconf and dh-systemd
    - d/rules: re-add autoreconf and systemd
    - d/control: B-D to debhelper version of xenial supporting compat 10
    - d/compat: compat level 10 is latest xenial supported level
    - d/rules: go back from override_dh_installsystemd to
      override_dh_systemd_enable and override_dh_systemd_start as needed on
      xenials debhelper version.
    - d/rules: drop --no-restart-after-upgrade which only exists in debhelper
      10, the version 9 behavior defaults to what we need.
    - debian/rules: dh_systemd_start in xenial has issues with the escaping of
      the run-vmblock\\x2dfuse.mount job, so drop this call
    - debian/open-vm-tools-desktop.postinst: add a fixed version of what
      dh_systemd_start would have added
    - d/open-vm-tools-desktop.prerm, d/open-vm-tools-desktop.postrm: add what
      dh_systemd_start would have added (as-is since those sections worked)
    - d/control: update maintainers
  * d/open-vm-tools.service: Add After=local-fs.target dependency ensuring
    filesystems are ready to fix a race on startup (LP: #1750780)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 15 Feb 2018 09:36:20 +0100

open-vm-tools (2:10.2.0-3ubuntu3) bionic; urgency=medium

  * Disable PrivateTmp for the open-vm-tools.service as it triggers issues
    when triggering processes that need tmp through VMOMI API (LP: #1758428)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Apr 2018 11:23:58 +0200

open-vm-tools (2:10.2.0-3ubuntu2) bionic; urgency=medium

  * Revert change in d/open-vm-tools.service that added After=local-fs.target.
    It turned out that the systemd in bionic already implicitly fixes
    this issue (the change is still needed for backports) (LP: 1750780)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 27 Feb 2018 08:03:13 +0100

open-vm-tools (2:10.2.0-3ubuntu1) bionic; urgency=medium

  * d/open-vm-tools.service: Add After=local-fs.target dependency ensuring
    filesystems are ready to fix a race on startup (LP: #1750780)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 22 Feb 2018 08:39:26 +0100

open-vm-tools (2:10.2.0-3) unstable; urgency=medium

  * [47e50a1] Fix debhelper dep for backports
  * [34538a5] Make tools.conf useful.
    Thanks to Dariusz Gadomski (Closes: #889884)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 14 Feb 2018 17:22:52 +0100

open-vm-tools (2:10.2.0-2) unstable; urgency=medium

  * [249d54c] Fix wayland segfault.
    Adding a patch from Fedora to fix a wayland/gnome related segfault.
    Thanks to Oliver Kurth (Closes: #887755)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 23 Jan 2018 23:50:17 +0100

open-vm-tools (2:10.2.0-1) unstable; urgency=medium

  * [f0bf956] Add .travis.yml which was removed by gbp.
  * [892e2f6] Build with gtk3.
  * [03a655b] Check if debhelper handles \ in systemd units.
    Thanks to Oliver Kurth (Closes: #886191)
  * [5bf9301] Drop -dkms package.
    Thanks to Christian Ehrhardt (Closes: #884656)
  * [236cdba] Update upstream source from tag 'upstream/10.2.0'
    Update to upstream version '10.2.0'
    with Debian dir d5190e486b6beb65ee7ed31c0c23a789b8f60cab
    (Closes: #884496)
  * [692beff] snapshot changelog.
  * [45aa743] Add .travis.yml which was removed by gbp.
  * [aabeded] Fix dpkg --compare-versions call
  * [0697425] Better debhelper version parsing.
  * [390ec09] fix even more makefile bugs.
  * [6e5fa38] Refreshing patches.
    Dropping kernel-module related patches.
  * [cbfec05] Drop dh_autoreconf, not needed anymore.
  * [d5fef50] autotools-dev is done by dh now.
  * [b66ab14] use dh_installsystemd

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 19 Jan 2018 12:52:49 +0100

open-vm-tools (2:10.1.15-1) unstable; urgency=medium

  * [78a17f1] Remove fixed CXX std setting.
  * [f96f479] Updated version 10.1.15 from 'upstream/10.1.15'
    with Debian dir c44394c71e055f4cfd3a15ee578fc9895d64ebb1
  * [682790b] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 21 Oct 2017 15:02:46 +0200

open-vm-tools (2:10.0.7-3227872-5ubuntu1~16.04.2) xenial; urgency=medium

  * Make tools.conf template useful. (LP: #1748122)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Thu, 15 Feb 2018 11:19:17 +0100

open-vm-tools (2:10.0.7-3227872-5ubuntu1~16.04.1) xenial; urgency=low

  * Backport to xenial for kernel 4.8 support.  (LP: #1662116)

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 06 Feb 2017 16:15:40 +0000

open-vm-tools (2:10.0.7-3227872-5ubuntu1) yakkety; urgency=low

  * Merge with Debian; remaining changes:
    - Build without xmlsecurity support and xerces for now (universe).

 -- Iain Lane <iain.lane@canonical.com>  Fri, 30 Sep 2016 16:03:58 +0100

open-vm-tools (2:10.0.7-3227872-4.1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build without xmlsecurity support and xerces for now (universe).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Aug 2016 14:23:27 +0200

open-vm-tools (2:10.0.7-3227872-2ubuntu2) yakkety; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Apr 2016 22:58:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: open-vm-tools
 Section: admin
 Priority: extra
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
- debhelper (>= 9.20160402~), autotools-dev, dkms, doxygen, libcunit1-dev,
- libdumbnet-dev, libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev,
+ debhelper (>= 9.20160115ubuntu3), autotools-dev, doxygen, libcunit1-dev,
+ libdumbnet-dev, libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,
  libicu-dev, libnotify-dev, libpam0g-dev, libprocps-dev, libx11-dev,
- libxinerama-dev, libxss-dev, libxtst-dev, dh-autoreconf, dh-systemd,
+ libxinerama-dev, libxss-dev, libxtst-dev,
  libmspack-dev,
  libssl-dev,
  libxmlsec1-dev,
  libudev-dev,
  libdrm-dev,
+ dh-autoreconf,
+ dh-systemd,
 Standards-Version: 3.9.6
 Homepage: https://github.com/vmware/open-vm-tools
 Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git
@@ -65,22 +68,3 @@
  VMware virtual machines.
  .
  This package contains the development files.
-
-Package: open-vm-tools-dkms
-Architecture: all
-Section: kernel
-Depends: ${misc:Depends}, dkms, make
-Breaks: open-vm-tools (<< 2:9.4.0-1280544-8~)
-Replaces: open-vm-tools (<< 2:9.4.0-1280544-8~)
-Recommends: open-vm-tools
-Suggests: open-vm-tools-desktop
-Description: Open VMware Tools vmxnet kernel module (deprecated)
- The Open Virtual Machine Tools (open-vm-tools) project is an open source
- implementation of VMware Tools. It is a suite of virtualization utilities and
- drivers to improve the functionality, user experience and administration of
- VMware virtual machines.
- .
- This package provides the source code for the vmxnet module, which was
- superseded by vmxnet3. You should only install this package if you know
- that you need the legacy vnxnet module.
- Kernel source or headers are required to compile it using DKMS.

=== debian/rules ===
--- 
+++ 
@@ -1,31 +1,10 @@
 #!/usr/bin/make -f
 
-VERSION = $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's|^.*:||' -e 's|-.*$$||')
-
-UPSTREAM_VERSION = $(strip $(shell grep '^TOOLS_VERSION' open-vm-tools/configure.ac | sed 's,.*=",,;s,",,'))
+DEBHELPER_VERSION = $(strip $(shell dpkg-query -f '$${Version}' -W debhelper))
+DEBHELPER_SYSTEMD_OK = $(strip $(shell dpkg --compare-versions $(DEBHELPER_VERSION) ge 10.9.1~; echo $$?))
 
 %:
-	dh ${@} --with autotools_dev,dkms,autoreconf,systemd --sourcedirectory=open-vm-tools
-
-override_dh_autoreconf:
-	set -e; \
-	    cd open-vm-tools ; \
-	    cp configure.ac configure.ac.autoreconf ; \
-	    cp modules/linux/dkms.sh modules/linux/dkms.sh.autoreconf ;\
-	    sed -i 's,$(UPSTREAM_VERSION),$(VERSION),g' configure.ac ;\
-	    sed -i 's,$(UPSTREAM_VERSION),$(VERSION),g' modules/linux/dkms.sh
-	dh_autoreconf --sourcedirectory=open-vm-tools
-
-override_dh_autoreconf_clean:
-	dh_autoreconf_clean 
-	set -e ;\
-	    cd open-vm-tools ; \
-	    if [ -f configure.ac.autoreconf ]; then \
-	        mv configure.ac.autoreconf configure.ac ;\
-	    fi ;\
-	    if [ -f modules/linux/dkms.sh.autoreconf ]; then \
-	        mv modules/linux/dkms.sh.autoreconf modules/linux/dkms.sh ;\
-	    fi
+	dh ${@} --sourcedirectory=open-vm-tools --with=autotools_dev,autoreconf,systemd
 
 override_dh_auto_configure:
 	dh_auto_configure --sourcedirectory=open-vm-tools -- \
@@ -34,10 +13,9 @@
 			--without-kernel-modules \
 			--with-pic \
 			--enable-xmlsec1 \
+			--with-gtk3  \
 			CFLAGS="-fPIC -Wno-deprecated-declarations $(CFLAGS)" \
-			CUSTOM_PROCPS_NAME=procps \
-			CXXFLAGS='-std=c++14'
-	find . -name Makefile -exec sed -i '/.*CPPFLAGS.*/s,-std=c++11,,' '{}' \;
+			CUSTOM_PROCPS_NAME=procps
 
 override_dh_auto_install:
 	dh_auto_install --sourcedirectory=open-vm-tools -- DESTDIR=$(CURDIR)/debian/open-vm-tools
@@ -52,7 +30,6 @@
 	chmod 0644 debian/*/etc/pam.d/*
 	chmod 4755 debian/*/usr/bin/vmware-user-suid-wrapper
 
-	install -D -m 0755 debian/local/vmxnet.hook debian/open-vm-tools-dkms/usr/share/initramfs-tools/hooks/vmxnet
 	install -D -m 0644 debian/local/xautostart.conf debian/open-vm-tools-desktop/etc/vmware-tools/xautostart.conf
 	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf
 
@@ -70,12 +47,6 @@
 	    debian/open-vm-tools-dev/usr/lib
 	mv debian/open-vm-tools/usr/include debian/open-vm-tools-dev/usr
 
-
-	# open-vm-tools-dkms
-	mkdir -p debian/open-vm-tools-dkms/usr/src
-	cd open-vm-tools && sh modules/linux/dkms.sh . ../debian/open-vm-tools-dkms/usr/src
-	find debian/open-vm-tools-dkms/usr/src -name COPYING | xargs rm -f
-	find debian/open-vm-tools-dkms/usr/src -name "Makefile*" | xargs chmod 0755
 
 	# removing useless files
 	rm -f debian/open-vm-tools/usr/lib/*.la
@@ -96,17 +67,8 @@
 	mv debian/open-vm-tools/etc/xdg/autostart/vmware-user.desktop debian/open-vm-tools-desktop/etc/xdg/autostart
 	rm -rf debian/open-vm-tools/etc/xdg
 
-	# fix dkms folder, upstream fails on it sometimes...
-	if ! test -d debian/open-vm-tools-dkms/usr/src/open-vm-tools-$(VERSION); then \
-	    mv debian/open-vm-tools-dkms/usr/src/open-vm-tools-* debian/open-vm-tools-dkms/usr/src/open-vm-tools-$(VERSION) ; \
-	fi
-
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
-
-override_dh_dkms:
-	sed 's,DEBIAN_VERSION,$(VERSION),g' debian/open-vm-tools-dkms.dkms.in > debian/open-vm-tools-dkms.dkms
-	dh_dkms -popen-vm-tools-dkms -V $(VERSION)
 
 override_dh_fixperms:
 	dh_testroot
@@ -125,7 +87,11 @@
 override_dh_systemd_start:
 	dh_systemd_start -popen-vm-tools
 	dh_systemd_start -popen-vm-tools --name vgauth
-	dh_systemd_start -popen-vm-tools-desktop -r --no-restart-after-upgrade run-vmblock\\x2dfuse.mount
+	# "deb-systemd-invoke start" (and only that) as generated by
+	# dh_systemd_start will fail for run-vmblock\\x2dfuse.mount on xenial.
+	# A custom section in the Maintainer scripts will take care of it
+	# Disabled on Backport: dh_systemd_start -popen-vm-tools-desktop -r run-vmblock\\x2dfuse.mount
+	# The following sed's are needed in Xenial as well to fix dh_installinit and dh_systemd_enable behavior
 	sed -i 's,run-vmblock\\x2dfuse,run-vmblock\\\\x2dfuse,g' debian/*.debhelper
 	sed -i 's,run-vmblock-fuse,run-vmblock\\\\x2dfuse,g' debian/*.debhelper
